#!/usr/bin/env python
# control.py

"""
Author : aki

Revision History:
File created on 16 Nov 2013.

"""

import logging

################### Begin Class MethaneDaSystem ###################

from da.baseclasses.dasystem import DaSystem

class MethaneDaSystem(DaSystem):
    """ Information on the data assimilation system used. This is normally an rc-file with settings.
    """
    def validate(self):
        """ 
        validate the contents of the rc-file given a dictionary of required keys
        """

        needed_rc_items = ['obs.input.dir',
                           'obs.input.fname']


        for k, v in self.iteritems():
            if v == 'True' : 
                self[k] = True
            if v == 'False': 
                self[k] = False

        for key in needed_rc_items:
            if not self.has_key(key):
                logging.warning('Missing a required value in rc-file : %s' % key)
        logging.debug('DA System Info settings have been validated succesfully')

################### End Class MethaneDaSystem ###################


if __name__ == "__main__":
    pass
